<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
    
    <title>Note list</title>

  </head>
  <style>

    h1{
        text-align: center;
        font-family: Futura;
        font-size: 50px;
        padding-bottom: 30px;
        padding-top: 25px;
    }
    
    h1:hover {
        color: #8940e9;
    }

    table{
        border-collapse: collapse;
        width: 70%;
        box-shadow: 0 0 15px gray;
        font-family: Arial, Helvetica, sans-serif;
        font-size: 20px;
        text-align: center;
        border-radius: 10px;
    }

    .table-header{
        color: white;
        font-family: Arial, Helvetica, sans-serif;
        background-color: #8940e9;
        font-size: 30px;
    }

    .rows:hover {background-color: #efe8f8;}

    table tr:nth-child(even){background-color: #efe8f8;}
    
    table td, table th {
        padding: 10px 15px;
    }
    
    .center{
        margin-left: auto;
        margin-right: auto;
    }

    .navbar-brand{
        font-family: futura;
        color: #8940e9;
    }

  </style>
  <body>
    <nav class="navbar navbar-default">
        <div class="container-fluid">
            <div class="navbar-header">
            <a class="navbar-brand" href="/lab-1/">Odi's &lt;/&gt;</a>
            </div>
          <ul class="nav navbar-nav">
            <li><a href="/lab-4/add-note" ">Add Notes</a></li>
            <li class="active"><a href="/lab-4/">Note Lists</a></li>
            <li><a href="/lab-4/note-list">Note cards</a></li>
          </ul>
        </div>
    </nav>

    <h1> Note lists </h1>

    <table class="center">

        <tr class="table-header">
            <th style="text-align: center;">To</th>
            <th style="text-align: center;">From</th>
            <th style="text-align: center;">Title</th>
            <th style="text-align: center;">Message</th>
        </tr>

    {% for data in Notes %}
    <tr class="rows">
        <td> {{ data.to }}</td>
        <td>{{ data.from_person }}</td>
        <td>{{ data.title }}</td>
        <td>{{ data.message }}</td>
    </tr>
    {% endfor %} 
    
    </table>

  </body>
</html>
